#!/bin/bash

model_name=vanillaMamba

# ETTm1 dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/ETT-small/ \
  --data_path ETTm1.csv \
  --model_id ETTm1_$pred_len'_'$pred_len \
  --model $model_name \
  --data ETTm1 \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 7 \
  --c_out 7 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# ETTm2 dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/ETT-small/ \
  --data_path ETTm2.csv \
  --model_id ETTm2_$pred_len'_'$pred_len \
  --model $model_name \
  --data ETTm2 \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 7 \
  --c_out 7 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# ETTh1 dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/ETT-small/ \
  --data_path ETTh1.csv \
  --model_id ETTh1_$pred_len'_'$pred_len \
  --model $model_name \
  --data ETTh1 \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 7 \
  --c_out 7 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# ETTh2 dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/ETT-small/ \
  --data_path ETTh2.csv \
  --model_id ETTh2_$pred_len'_'$pred_len \
  --model $model_name \
  --data ETTh2 \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 7 \
  --c_out 7 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# Weather dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/weather/ \
  --data_path weather.csv \
  --model_id weather_$pred_len'_'$pred_len \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 21 \
  --c_out 21 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# ECL dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/electricity/ \
  --data_path electricity.csv \
  --model_id ECL_$pred_len'_'$pred_len \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 321 \
  --c_out 321 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# Traffic dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/traffic/ \
  --data_path traffic.csv \
  --model_id traffic_$pred_len'_'$pred_len \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 862 \
  --c_out 862 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done

# Exchange dataset
for pred_len in 96 192 336 720
do
python -u run.py \
  --task_name long_term_forecast \
  --is_training 1 \
  --root_path ./dataset/exchange_rate/ \
  --data_path exchange_rate.csv \
  --model_id Exchange_$pred_len'_'$pred_len \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --label_len 48 \
  --pred_len $pred_len \
  --e_layers 2 \
  --d_layers 1 \
  --enc_in 8 \
  --c_out 8 \
  --d_model 128 \
  --expand 2 \
  --d_conv 4 \
  --d_state 64 \
  --headdim 64 \
  --ngroups 1 \
  --chunk_size 256 \
  --dropout 0.1 \
  --des 'Exp' \
  --itr 1
done